Loading...
Searching...
No Matches
string0.h File Reference

Extra string functions. More...

`#include <sofia-sip/su_string.h>`
Include dependency graph for string0.h:

Go to the source code of this file.

## Macros

#define | STRING0_H
| Defined when <sofia-sip/string0.h> is included.

## Detailed Description

Extra string functions.

String comparison functions accepting NULL pointers: str0cmp(), str0ncmp(), str0casecmp(), str0ncasecmp(). Also includes span functions testing at most n bytes: strncspn(), strnspn().

Deprecated
  Use functions from <sofia-sip/su_string.h> instead.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.